body{
    background-size: 100%;
    background-repeat:no-repeat;
    background-attachment: fixed;
    background-position: left;
    width: 100%;
    height: 100%;
    margin: 0px;
    padding: 0px; 
    overflow-x: hidden;
}

.header{
  width:100%;
  position: absolute;
  align-content: center;
  float: center;
  text-align: center;
  -webkit-transform: translate(0%, 10%);
  transform: translate(0%, 10%);
  font-family: 'Quicksand', sans-serif;
  line-height: 75%;
  font-size:2.5vw;
  color:white;
  font-weight: bold;
}

.photo{
  width:25%;
  transform: translate(150%, 70%);
  position: absolute;
  display: block;
  text-align: center;
  float:center;

}
.photo2{
  width:28%;
  position: absolute;
  transform: translate(15%, 112%);

}

.photo2 img{
  width:100%;
  border-width: 5px;
  border-style: solid;
  border-image: linear-gradient(to bottom, rgb(84, 125, 236), rgb(182, 103, 221)) 1;
}
.photo img{
  width:100%;
  border-width: 5px;
  border-style: solid;
  border-image: linear-gradient(to bottom, rgb(84, 125, 236), rgb(182, 103, 221)) 1;
  filter: contrast(120%) brightness(100%);
}


.interestslink{
  position: absolute;
  top:44%;
  width:100%;
  height:90px;
  font-family: 'Cairo', sans-serif;
  font-weight: bold;
  font-size:4vw;
  line-height: 75%;
  color:rgb(170, 112, 218);
  pointer-events: none;
  -webkit-text-stroke: 1px black;
  text-align: center;
}
.aboutlink{
  width:100%;
  position: absolute;
  top:45%;
  height:90px;
  font-family: 'Cairo', sans-serif;
  font-weight:bold;
  font-size:4vw;
  line-height: 75%;
  color:rgb(170, 112, 218);
  pointer-events: none;
  -webkit-text-stroke: 1px black;
}

.photo3 {
  width:28%;
  position: absolute;
  transform: translate(240%, 112%);
}
.photo3 img{
  width:100%; 
  border-width: 5px;
  border-style: solid;
  border-image: linear-gradient(to bottom, rgb(84, 125, 236), rgb(182, 103, 221)) 1;
}
.projectslink{
  position: absolute;
  top:40%;
  width:105%;
  height:90px;
  font-family: 'Cairo', sans-serif;
  font-weight:bold;
  font-size:4vw;
  line-height: 75%;
  color:rgb(170, 112, 218);
  pointer-events: none;
  -webkit-text-stroke: 1px black;
  text-align: center;
}
.bottom{
  width:100%;
  height:100%;
  opacity: 90%;
}
.top{
  width:100%;
  height:100%;
  opacity:90%;
}
.linkedin {
  position:absolute;
  width:100%;
  text-align: center;
}


.linkedin img {
  width:3.75%;
  height:auto;
  transform:translate(-50%,1075%);
  position:absolute;
  -webkit-transition: opacity 0.5s ease-in-out;
  -moz-transition: opacity 0.5s ease-in-out;
  -o-transition: opacity 0.5s ease-in-out;
  transition: opacity 0.5s ease-in-out;
}
.linkedin img.top:hover {
  opacity:0;
}
.bottom2{
  width:100%;
  height:100%;
  opacity: 90%;
}
.top2{
  width:100%;
  height:100%;
  opacity:90%;
}
.github {
  position:absolute;
  width:100%;

}


.github img {
  width:3.75%;
  height:auto;
  transform:translate(1110%,1120%);
  position:absolute;
  -webkit-transition: opacity 0.5s ease-in-out;
  -moz-transition: opacity 0.5s ease-in-out;
  -o-transition: opacity 0.5s ease-in-out;
  transition: opacity 0.5s ease-in-out;
}
.github img.top2:hover {
  opacity:0;
}

.mail {
  position:absolute;
  width:100%;
}


.mail img {
  width:4.5%;
  height:auto;
  transform:translate(1210%,1390%);
  position:absolute;
  -webkit-transition: opacity 0.5s ease-in-out;
  -moz-transition: opacity 0.5s ease-in-out;
  -o-transition: opacity 0.5s ease-in-out;
  transition: opacity 0.5s ease-in-out;
}
.mail img.top2:hover {
  opacity:0;
}

.backgroundimage img{
  width:100%;
  margin: 0px;
  padding: 0px;
  position:absolute;
}
.aboutme{
  position:absolute;
  width:100%;
  transform: translate(0%,225%);
}



/* width */
::-webkit-scrollbar {
  width: 10px;
}

/* Track */
::-webkit-scrollbar-track {
  box-shadow: inset 0 0 5px rgb(0, 0, 0);
  background:rgb(105, 105, 105);
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: rgb(26, 25, 25);
  border-radius: 10px;
}

.queensphoto img{
  width:105%;
  position:absolute;
  border-width: 1vw;
  border-style: solid;
  border-image: linear-gradient(to right, rgb(84, 125, 236), rgb(182, 103, 221)) 1;
  transform: translate(-5%,100%);
}

.aboutmetext{
  position: absolute;
  width:85%;
  font-family: 'Cairo', sans-serif;
  font-weight:bold;
  font-size:2.75vw;
  line-height: 115%;
  color:rgb(84, 125, 236);
  transform: translate(10%,40%);
  pointer-events: none;

}
.aboutmetexthead{
  position: absolute;
  width:50%;
  font-family: 'Cairo', sans-serif;
  font-weight:bold;
  font-size:4vw;
  line-height: 100%;
  color:rgb(18, 51, 143);
  transform: translate(17%,100%);
  pointer-events: none;

}


.text-container{
  position:absolute;
  left:0%;
  width:40%;
  height:35vw;
  background-color: rgb(243, 243, 243);
  transform: translate(10%,172%);
  border-width: 0.5vw;
  border-style: solid;
  border-color: darkslategray;
  opacity:90%;
  border-radius: 5%;
}

.interests{
  position:absolute;
  width:100%;
  transform: translate(0%,425%);
}

.carphoto img{
  width:105%;
  position:absolute;
  border-width: 1vw;
  border-style: solid;
  border-image: linear-gradient(to right, rgb(84, 125, 236), rgb(182, 103, 221)) 1;
  transform: translate(-5%,146.5%);
}

.intereststext{
  position: absolute;
  width:88%;
  font-family: 'Cairo', sans-serif;
  font-weight:bold;
  font-size:2.3vw;
  line-height: 115%;
  color:rgb(13, 189, 80);
  transform: translate(7%,23%);
  pointer-events: none;

}
.intereststexthead{
  position: absolute;
  width:35%;
  font-family: 'Cairo', sans-serif;
  font-weight:bold;
  font-size:4vw;
  line-height: 100%;
  color:rgb(27, 143, 12);
  transform: translate(30%,100%);
  pointer-events: none;

}


.text2-container{
  position:absolute;
  left:0%;
  top:0%;
  width:30%;
  height:40vw;
  background-color: rgb(243, 243, 243);
  transform: translate(215%,282%);
  border-width: 0.5vw;
  border-style: solid;
  border-color: dimgray;
  opacity:90%;
  border-radius: 5%;
}


.reveal {
  position: relative;
  opacity: 0;
}

.reveal.active {
  opacity: 1;
}
.nrevea {
  position: relative;
  opacity: 0;
}

.nrevea.active {
  opacity: 1;
}
.revea {
  position: relative;
  opacity: 0;
}

.revea.active {
  opacity: 1;
}

.active.fade-bottom {
  animation: fade-bottom 1s ease-in;
}
.active.fade-left {
  animation: fade-left 1s ease-in;
}
.active.fade-right {
  animation: fade-right 1s ease-in;
}
@keyframes fade-bottom {
  0% {
    transform: translateY(50px);
    opacity: 0;
  }
  100% {
    transform: translateY(0);
    opacity: 1;
  }
}
@keyframes fade-left {
  0% {
    transform: translateX(-100px);
    opacity: 0;
  }
  100% {
    transform: translateX(0);
    opacity: 1;
  }
}

@keyframes fade-right {
  0% {
    transform: translateX(100px);
    opacity: 0;
  }
  100% {
    transform: translateX(0);
    opacity: 1;
  }
}
html{
  scroll-behavior: smooth;
}

.projects{
  position:absolute;
  width:100%;
  transform: translate(0%,425%);
}

.prophoto img{
  width:105%;
  position:absolute;
  border-width: 1vw;
  border-style: solid;
  border-image: linear-gradient(to right, rgb(84, 125, 236), rgb(182, 103, 221)) 1;
  transform: translate(-5%,252.5%);
}

.projectstext{
  position: absolute;
  width:88%;
  font-family: 'Cairo', sans-serif;
  font-weight:bold;
  font-size:2vw;
  line-height: 115%;
  color:rgb(144, 8, 179);
  transform: translate(7%,20%);

}
.projectstexthead{
  position: absolute;
  width:35%;
  font-family: 'Cairo', sans-serif;
  font-weight:bold;
  font-size:4vw;
  line-height: 100%;
  color:rgb(79, 2, 99);
  transform: translate(30%,100%);
  pointer-events: none;

}

.text3-container{
  position:absolute;
  left:0%;
  width:40%;
  height:45vw;
  background-color: rgb(243, 243, 243);
  transform: translate(10%,382%);
  border-width: 0.5vw;
  border-style: solid;
  border-color: dimgray;
  opacity:90%;
  border-radius: 5%;
}

#loading-screen {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(47,54, 63);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999;
}

#loading-circle {
  width: 20vw; /* 20% of the viewport width */
  height: 20vw; /* 20% of the viewport height */
  border-radius: 50%;
  background: url('images/logo.webp') center center no-repeat;
  background-size: cover;
  color: transparent;
  animation: colorChange 3s infinite alternate;
}

@keyframes colorChange {
  0% {
      transform: scale(1);
  }
  100% {
      transform: scale(1.2);
  }
}